# Generated by Django 5.0.4 on 2024-04-03 20:34

import django.db.models.constraints
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('hunts', '0036_teampuzzleprogress_team_size'),
    ]

    operations = [
        migrations.RemoveConstraint(
            model_name='puzzle',
            name='puzzle_episode_start_date_order_unique',
        ),
        migrations.AddConstraint(
            model_name='puzzle',
            constraint=models.UniqueConstraint(deferrable=django.db.models.constraints.Deferrable['DEFERRED'], fields=('episode', 'start_date', 'order'), name='puzzle_episode_start_date_order_unique', nulls_distinct=True),
        ),
    ]
